Page MenuHomePhabricator

Remove the ISO codes from language switcher
Closed, ResolvedPublic2 Story Points

Description

Justifications
With the revamp of language switching overlay we added ISO codes in the new list. After evaluative research of the same and speaking with the language team, it turns out ISO codes are not as important as we thought.
Also, we were supposed to use the same code on the language button so as it to have some connection between the overlay and the button. we are not using the code on the button so it's time to remove the language codes form the overlay.

Here's a mockup of what it looks like

Suggested testbed, portrait and landscape, LTR & RTL:

  • Android 2.3 Browser phone form factor
  • Android 4.x/5.x/6.x Chrome phone form factor
  • Android 4.x/5.x/6.x Chrome tablet form factor
  • iOS 9.3 iPhone
  • iOS 9.3 iPad
  • Opera mobile (not mini) Android 4+ phone form factor
  • UC browser (not mini) Android 4+ phone form factor
  • Windows 7.5 Phone IE
  • Desktop Firefox
  • Desktop Chrome
  • Desktop Safari
  • Internet Explorer 11

Note that iOS 8.4 is out of scope while device / testing service available, but iOS 9.3 is pretty close to iOS 8.4 for layout.

Event Timeline

Nirzar created this task.Jun 11 2016, 11:45 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 11 2016, 11:45 PM
Nirzar added a subscriber: dr0ptp4kt.
Base added a subscriber: Base.Jun 12 2016, 12:39 AM

Oppose. It is much nicer with having ISO codes shown somewhere. E.g. a person may be viewing from a device which does not have fonts for all the scripts -- then without the code it would be impossible to distinguish several names rendered as squares.

Base added a comment.Jun 12 2016, 12:42 AM

What is now looks for me like for some languages.

jhobs triaged this task as High priority.Jun 15 2016, 3:42 PM
jhobs moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
Jhernandez added a subscriber: Jhernandez.

Moving back, the argument seems very reasonable.

Thoughts @Nirzar ?

If the user does not have fonts, then I think there is pretty much nothing the user can do with those languages.

If there is a language search, then even the question does this article exist in language Y can be answered without displaying the codes.

@Base We can't use a system to solve different and unintended problem :) If the fonts are not showing up for some languages that's another bug, we should fix that separately if we see that as priority.

Also this -

If the user does not have fonts, then I think there is pretty much nothing the user can do with those languages.

@Jhernandez We have also talked to Language team to evaluate the value of codes. and this ticket is outcome of that discussion. Plus community gave us feedback saying codes don't have much value [1]

[1] https://www.mediawiki.org/wiki/Reading/Web/Projects/Improve_in-article_language_switching_on_mobile_web

@dr0ptp4kt lets move forward with this?

dr0ptp4kt set the point value for this task to 2.Jun 27 2016, 4:23 PM
dr0ptp4kt updated the task description. (Show Details)Jun 29 2016, 6:05 PM
dr0ptp4kt updated the task description. (Show Details)Jun 30 2016, 3:42 PM

@Nirzar, should the ISO code, although visually removed, continue to be searchable? For example, if the user types "eo" in the search field should Esperanto come up?

@Nirzar, furthermore, the mock suggests a language sort by geography. As I understand, we don't need that geography sort for this task. Correct?

As spoken in meeting, no geographical grouping on this task (even it appears in the mockup)

Nirzar added a comment.Jul 1 2016, 6:40 AM

@Nirzar, should the ISO code, although visually removed, continue to be searchable? For example, if the user types "eo" in the search field should Esperanto come up?

Yes

@Nirzar, furthermore, the mock suggests a language sort by geography. As I understand, we don't need that geography sort for this task. Correct?

that's correct, that would be another follow up task that we can prioritize. it appears in the mock because my working files use the latest changes we discuss in design x product. no version control for sketch :D

Jhernandez moved this task from To Do to Doing on the Reading-Web-Sprint-76-Retrosprekfast board.

Change 297584 had a related patch set uploaded (by Jhernandez):
Remove language iso codes in language overlay

https://gerrit.wikimedia.org/r/297584

After much pain with the (necessary) inter-language setup, finally got it done and tested.

To the reviewers, I've checked unit tests, browser tests and sources, and I don't think I'm missing any references to the iso code behind in the code base (hopefully).

@dr0ptp4kt currently we allow filtering languages using the ISO codes (among other things). Does this task imply that the filtering should not use the ISO codes?

@bmansurov, thanks for asking. Please continue allowing searches to honor the typed ISO code. See T137648#2420723.

Thanks! I should have read the earlier conversation.

Do we need to fix the left alignment?:


YES! we just need to remove the code. there shouldn't be any gap on the left. refer to the screenshot in the description. please dont ship without fixing this.

@Nirzar ignore ^ for now

@Jdlrobson that's not how it works for me. See:

Works like that on latest firefox, chrome and safari. Which browser are you using? @bmansurov do you see what I see or what Jon sees?

@Jhernandez unrelated visual thing. the magnifying glass is not aligned with the placeholder text in the search field. did we change something or it was always like that on firefox?

YES! we just need to remove the code. there shouldn't be any gap on the left. refer to the screenshot in the description. please dont ship without fixing this.

The gap appears on tablet sized devices. On mobile the patch looks great, just as seen on the mock.

Good catch @Nirzar, I didn't notice (created T139928 for that).

That's why we have to use other browsers than Chrome.

@bmansurov do you see what I see or what Jon sees?

I see both. On small screens - no gap, on larger screens - some gap, which is expected as we have max width on the content for tablets and up.

To test please visit http://en.m.wikipedia.beta.wmflabs.org/wiki/Lang#/languages (once the patch merges, which will be in about 10mins).

Change 297584 merged by jenkins-bot:
Remove language iso codes in language overlay

https://gerrit.wikimedia.org/r/297584

Also, another gif

Left alignment seems consistent to me.

Wow, that gif is insanely broken bc compression... Sorry about that.

looks good on wmflabs.. but now i cant unsee the magnifying glass and placeholder misalignment :)

bmansurov closed this task as Resolved.Jul 11 2016, 4:04 PM

^